//
//  ViewController.m
//  Test
//
//  Created by admin on 17/4/26.
//  Copyright © 2017年 admin. All rights reserved.
//

#import "ViewController.h"
#import "Masonry.h"
#import "BaseSendBtnView.h"

@interface ViewController ()
{
    UIView *ClickView;
    NSArray *imageArr;//需要分享的数组
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor orangeColor];
    
    imageArr = @[@"QQ",@"QQZone",@"WeiBo",@"WeiChat",@"WeiChatline"];
    
    [self CreatUI];
}

- (void)CreatUI{
    
    UIButton *btn=[[UIButton alloc]init];
    btn.backgroundColor=[UIColor blueColor];
    [btn setTitle:@"点我!" forState:UIControlStateNormal];
    [btn addTarget:self action:@selector(btnClick) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn];
    [btn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.mas_equalTo(90);
        make.height.mas_equalTo(50);
        make.center.equalTo(self.view);
    }];

}

- (void)btnClick{


    [ClickView removeFromSuperview];
;
    
    ClickView = [[UIView alloc]init];
    ClickView.backgroundColor = [UIColor grayColor];
    [self.view addSubview:ClickView];
    [ClickView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.height.mas_equalTo(250);
        make.width.equalTo(self.view);
        make.bottom.equalTo(self.view);
    }];
  
    __weak typeof(self) weakself = self;
    CGFloat delyTime = 0.08;
    for (int i = 0; i < 5; i++) {
        __strong BaseSendBtnView *btnView = [[BaseSendBtnView alloc]init];
        btnView.sendViewButton.tag = 10+i;
        if (i<3) {
            [UIView animateWithDuration:0.8 delay:delyTime * i usingSpringWithDamping:0.6 initialSpringVelocity:0.2 options:UIViewAnimationOptionCurveEaseInOut animations:^{           
                btnView.frame = CGRectMake(40+((self.view.frame.size.width-160)/3+40)*i,20,60,100);
            } completion:^(BOOL finished) {
                
            }];
        }else{
            [UIView animateWithDuration:0.8 delay:delyTime * i usingSpringWithDamping:0.6 initialSpringVelocity:0.2 options:UIViewAnimationOptionCurveEaseInOut animations:^{
                btnView.frame = CGRectMake(40+((self.view.frame.size.width-160)/3+40)*(i-3),120,60,100);
            } completion:^(BOOL finished) {
                
            }];
        }
        btnView.btnImageView.image = [UIImage imageNamed:imageArr[i]];
        [ClickView addSubview:btnView];
        
        btnView.btnClickBlock = ^(UIButton *btn){
            
            [weakself btnClick:btn];
        };
    }

    
    UIButton *btn = [[UIButton alloc]init];
    btn.backgroundColor=[UIColor redColor];
    [btn setTitle:@"取消" forState:UIControlStateNormal];
    [btn addTarget:self action:@selector(Clickcansle) forControlEvents:UIControlEventTouchUpInside];
    [ClickView addSubview:btn];
    [btn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.mas_equalTo(50);
        make.height.mas_equalTo(30);
        make.centerX.equalTo(ClickView);
        make.bottom.equalTo(ClickView.mas_bottom).with.offset(-10.0);
    }];

}

- (void)btnClick:(UIButton *)btn{
    
    NSLog(@"%ld",btn.tag);
}

- (void)Clickcansle{
    
    [ClickView removeFromSuperview];
}

-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event{
    [ClickView removeFromSuperview];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
